View Issue Details

IDProjectCategoryView StatusLast Update
0002009SymmetricDSBugpublic2014-10-27 13:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.10 
Target Version3.6.11Fixed in Version3.6.11 
Summary0002009: Java column transform cannot compile inner classes
DescriptionJava column transform will not compile if an inner class is being used. The SimpleClassCompiler expects a single Java class to be output by the compiler, but inner classes cause additional classes to generate. The user sees this error:

java.lang.NoClassDefFoundError: SimpleClassCompiler1$1 (wrong name: SimpleClassCompiler1)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e26ae56d

2014-10-27 12:29:21

chenson

Details Diff
0002009: Java column transform cannot compile inner classes
0002009
mod - symmetric-io/pom.xml Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/JavaColumnTransform.java Diff File
add - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/transform/JavaColumnTransformTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/SimpleClassCompiler.java Diff File

Issue History

Date Modified Username Field Change
2014-10-10 10:12 elong New Issue
2014-10-10 10:12 elong Status new => assigned
2014-10-10 10:12 elong Assigned To => elong
2014-10-10 11:00 Changeset attached => SymmetricDS 3.6 r8795
2014-10-27 11:47 chenson Status assigned => resolved
2014-10-27 11:47 chenson Fixed in Version => 3.6.11
2014-10-27 11:47 chenson Resolution open => fixed
2014-10-27 11:52 chenson Status resolved => closed
2014-10-27 13:00 chenson Changeset attached => SymmetricDS 3.6 r8843
2014-10-27 13:00 chenson Changeset attached => SymmetricDS trunk r8844
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e26ae56d